osg::ArgumentParser::Parameter Class Reference

`#include <ArgumentParser>`

## Classes

union | ValueUnion

## Public Types

enum | ParameterType { BOOL_PARAMETER , FLOAT_PARAMETER , DOUBLE_PARAMETER , INT_PARAMETER , UNSIGNED_INT_PARAMETER , STRING_PARAMETER }

## Public Member Functions

| Parameter (bool &value)
| Parameter (float &value)
| Parameter (double &value)
| Parameter (int &value)
| Parameter (unsigned int &value)
| Parameter (std::string &value)
| Parameter (const Parameter &param)
Parameter & | operator= (const Parameter &param)
bool | valid (const char *str) const
bool | assign (const char *str)

## Protected Attributes

ParameterType | _type
ValueUnion | _value

## Member Enumeration Documentation

## ParameterType

enum osg::ArgumentParser::Parameter::ParameterType

Enumerator
BOOL_PARAMETER |
FLOAT_PARAMETER |
DOUBLE_PARAMETER |
INT_PARAMETER |
UNSIGNED_INT_PARAMETER |
STRING_PARAMETER |

## Constructor & Destructor Documentation

## Parameter() [1/7]

osg::ArgumentParser::Parameter::Parameter | ( | bool & | value | ) |

inline

References _type, _value, and BOOL_PARAMETER.

Referenced by operator=(), and Parameter().

## Parameter() [2/7]

osg::ArgumentParser::Parameter::Parameter | ( | float & | value | ) |

inline

References _type, _value, and FLOAT_PARAMETER.

## Parameter() [3/7]

osg::ArgumentParser::Parameter::Parameter | ( | double & | value | ) |

inline

References _type, _value, and DOUBLE_PARAMETER.

## Parameter() [4/7]

osg::ArgumentParser::Parameter::Parameter | ( | int & | value | ) |

inline

References _type, _value, and INT_PARAMETER.

## Parameter() [5/7]

osg::ArgumentParser::Parameter::Parameter | ( | unsigned int & | value | ) |

inline

References _type, _value, and UNSIGNED_INT_PARAMETER.

## Parameter() [6/7]

osg::ArgumentParser::Parameter::Parameter | ( | std::string & | value | ) |

inline

References _type, _value, and STRING_PARAMETER.

## Parameter() [7/7]

osg::ArgumentParser::Parameter::Parameter | ( | const Parameter & | param | ) |

inline

References _type, _value, and Parameter().

## Member Function Documentation

## assign()

bool osg::ArgumentParser::Parameter::assign | ( | const char * | str | ) |

## operator=()

Parameter & osg::ArgumentParser::Parameter::operator= | ( | const Parameter & | param | ) |

inline

References _type, _value, and Parameter().

## valid()

bool osg::ArgumentParser::Parameter::valid | ( | const char * | str | ) | const

## Member Data Documentation

## _type

ParameterType osg::ArgumentParser::Parameter::_type

protected

Referenced by operator=(), Parameter(), Parameter(), Parameter(), Parameter(), Parameter(), Parameter(), and Parameter().

## _value

ValueUnion osg::ArgumentParser::Parameter::_value

protected

Referenced by operator=(), Parameter(), Parameter(), Parameter(), Parameter(), Parameter(), Parameter(), and Parameter().

The documentation for this class was generated from the following file:

- ArgumentParser